charlesonmission
Posts: 771
Joined: Wed Mar 09, 2011 5:55 am
Location: USA (somewhere)

Upgraded to 1.063, got an error starting

Sat Feb 25, 2017 11:24 pm

Upgraded to the latest beta patch. Here is what I'm getting now. File attached.
Attachments
2017-02-25.png
2017-02-25.png (813.25 KiB) Viewed 791 times
Last edited by charlesonmission on Sun Feb 26, 2017 12:59 am, edited 2 times in total.

charlesonmission
Posts: 771
Joined: Wed Mar 09, 2011 5:55 am
Location: USA (somewhere)

Re: Upgraded to 1.063, not get an error starting

Sun Feb 26, 2017 12:53 am

OK, uninstalled, did a clean install and then installed the beta patch from Pocus' post on viewtopic.php?f=343&t=50997

Here is what I'm seeing now on starting. Am I on the most up to date patch? I see 1.6.03 Dec 2, 2016 on the load screen.

Charles

User avatar
Durk
Posts: 2127
Joined: Thu Apr 28, 2011 4:36 am
Location: Wyoming

Re: Upgraded to 1.063, got an error starting

Sun Feb 26, 2017 2:50 am

This is the most recent install and patch.
Are you still having opening problems?

User avatar
Cardinal Ape
General of the Army
Posts: 602
Joined: Wed Mar 07, 2012 1:59 am

Re: Upgraded to 1.063, got an error starting

Sun Feb 26, 2017 5:54 am

Hey, charlesmission

In one of the last patches they added some directx wrappers, those MAY be the source of your problem.

Maybe you could backup those files, then delete them from the game to see if it works without them. They should be in your base CW2 folder. They are: "d3d8.dll" and "enbconvertor.ini". If you find "userpath.ini" also delete it.

charlesonmission
Posts: 771
Joined: Wed Mar 09, 2011 5:55 am
Location: USA (somewhere)

Re: Upgraded to 1.063, got an error starting

Sun Feb 26, 2017 2:22 pm

After the uninstall, seems to be fine now. Sounds like I'm on the most recent patch. The "date" threw me off a bit".

charlesonmission
Posts: 771
Joined: Wed Mar 09, 2011 5:55 am
Location: USA (somewhere)

Re: Upgraded to 1.063, got an error starting

Sun Feb 26, 2017 4:46 pm

I've even bought the Blood Road South add on and installed it (other than an odd message about upgrading Alea Jacta Est to 1.03, which I skipped, it installed and the campaigns show up in the game.

However, I'm experience significant delays in clicking on icons, adding units to divisions, and even clicking the button to go to the Main Menu. Any else experiencing this? On the same computer as when I played the game about a year ago and it seemed fine then.

User avatar
Captain_Orso
Posts: 5381
Joined: Tue Sep 01, 2009 5:02 pm
Location: Stuttgart, Germany

Re: Upgraded to 1.063, got an error starting

Sun Feb 26, 2017 7:00 pm

Hi Charles,

The error in your first post is an access violation, which occurs when the program you are running tries to address memory outside of its allocated memory. This often occurs if you have run a more than a few turns, without quitting the game. It may also occur because of errors in permissions on the file system level.

I would suggest not to allow the installer to create the entire path for installing the game. Find the disk you wish to install on, C:, D:, or which ever, and create a folder there manually for installing your AGEod games. For example, use Windows Explorer to create 'C:\AGEod Games'.

When you run the installer, select 'C:\AGEod Games\{Installation Name}' as the installation folder, where {Installation Name} is the name of the folder in which you wish to have the game installed, EG 'Civil War II ver.1.06.3'.

When you install patches select the same folder name: 'C:\AGEod Games\{Installation Name}'.

I never use the 'Civil War II (Game Menu)' Start menu shortcut to start the game. I always us the 'Civil War II (Quick Start)' shortcut. This directly loads the 'CW2.exe' without all the adverts etc.

The "userpath.ini" file controls where your saves are written. If it is found in the installation folder, your saves will be written to '{%USERPROFILE}\Documents\My Games\{Installation Name}\CW2\Saves'. '%USERPROFILE' is your Windows home folder.

If the "userpath.ini" file is not found in the installation folder, your save will be written to 'C:\AGEod Games\{Installation Name}\CW2\Saves'.

Do a fresh install as per my instructions above and see how things work before you remove the 'd3d8.dll' and 'enbconvertor.ini' files.

charlesonmission
Posts: 771
Joined: Wed Mar 09, 2011 5:55 am
Location: USA (somewhere)

Re: Upgraded to 1.063, got an error starting

Mon Feb 27, 2017 12:49 pm

Thanks for everyone's input. I had already done the clean install and added the patch, then bought the add on. After doing a restart, went back into the game and it seems fine now. I have to not quickly click action, but more press down on icons to make them work. Maybe it was always like this.... I'm just so used to clicking quickly at work I perhaps forget how that I need to go a little slower in the game. Will report back if there are any remaining issues.

charlesonmission
Posts: 771
Joined: Wed Mar 09, 2011 5:55 am
Location: USA (somewhere)

Re: Upgraded to 1.063, got an error starting

Wed Mar 01, 2017 1:41 pm

OK, game is working. Still seems a bit sluggish compared to what I remember. I'm on the same computer as before. Interestingly, I'm able to change the Memory Usage setting from 10% to a higher amount, but when I click back to System, it is set to 10% again. Could that have something to do with the sluggishness?

User avatar
Captain_Orso
Posts: 5381
Joined: Tue Sep 01, 2009 5:02 pm
Location: Stuttgart, Germany

Re: Upgraded to 1.063, got an error starting

Wed Mar 01, 2017 9:47 pm

I honestly don't know. It might be that the engine recognizes that when starting the game, your system doesn't have enough free memory to allocate to match the games setting, and therefore sets it back to where it can allocate memory.

Of course, if you don't have enough memory to satisfy the game, windows will start paging memory, which will slow down the game a lot.

But if your slowdowns are all in the area of clicking buttons, moving the mouse pointer, manipulating counters on the map, that all sounds like a lack of graphics memory.

How much RAM do you have? What graphics card?

richfed
Posts: 875
Joined: Tue Nov 21, 2006 9:50 pm
Location: Marion, North Carolina, USA
Contact: Website

Re: Upgraded to 1.063, got an error starting

Wed Mar 01, 2017 11:09 pm

charlesonmission wrote:OK, game is working. Still seems a bit sluggish compared to what I remember. I'm on the same computer as before. Interestingly, I'm able to change the Memory Usage setting from 10% to a higher amount, but when I click back to System, it is set to 10% again. Could that have something to do with the sluggishness?


That occurs on my system as well ... Memory usage always reverts to lowest setting. I have 16GB of RAM & a NVidia graphics card [forget the model] -- issue started when I patched to 1.06.3.

charlesonmission
Posts: 771
Joined: Wed Mar 09, 2011 5:55 am
Location: USA (somewhere)

Re: Upgraded to 1.063, got an error starting

Wed Mar 01, 2017 11:46 pm

8 GB of memory.

NVIDIA GeForce GT 630M

Same computer I've played on since 2012. Have not noticed any other issues anywhere else outside of the game.

Captain_Orso wrote:I honestly don't know. It might be that the engine recognizes that when starting the game, your system doesn't have enough free memory to allocate to match the games setting, and therefore sets it back to where it can allocate memory.

Of course, if you don't have enough memory to satisfy the game, windows will start paging memory, which will slow down the game a lot.

But if your slowdowns are all in the area of clicking buttons, moving the mouse pointer, manipulating counters on the map, that all sounds like a lack of graphics memory.

How much RAM do you have? What graphics card?

User avatar
Captain_Orso
Posts: 5381
Joined: Tue Sep 01, 2009 5:02 pm
Location: Stuttgart, Germany

Re: Upgraded to 1.063, got an error starting

Thu Mar 02, 2017 8:10 am

RAM should easily be enough.

From what I've been able to find through Google, your graphics chipset should not be an issue. Your graphics memory size is either 1 or 2 GB, which I think should be enough. Way back when I was running on Windows XP, I had 2 GB RAM, and my old AMD HD4780 had 1 GB memory. I had the same HW when I updated to Windows 7, but added RAM up to 6 or 9 GB, and I can't remember having such problems.

You might check your Optimus settings to see if they are cutting back on performance to save battery power. I have no experience with this, but it might be set so that even if you are plugged into a power source, it is still using reduced power usage.

You could try turning 'Textures initialized' off, and try the different 'Max. Texture Size' settings.

Each time you change these, you should quit the game and restart for them to take affect. The tool-tip tells you this, but there is no better warning, nor does the game restart automatically when they are changed.

User avatar
Nikel
Posts: 2066
Joined: Sun Apr 20, 2008 8:38 pm
Location: Expaña

Re: Upgraded to 1.063, got an error starting

Sun Mar 05, 2017 8:53 pm

Just in case the "old" 1.06 is still downloadable from Ageod site

http://ftp.ageod.com/pub/CW2/CivilWarII ... p-v106.zip

charlesonmission
Posts: 771
Joined: Wed Mar 09, 2011 5:55 am
Location: USA (somewhere)

Re: Upgraded to 1.063, got an error starting

Mon Mar 06, 2017 1:17 pm

Also getting this error sometime on load. Anyone ready French. :)
Attachments
Error_on_Load.png
Error_on_Load.png (97.46 KiB) Viewed 594 times

User avatar
Nikel
Posts: 2066
Joined: Sun Apr 20, 2008 8:38 pm
Location: Expaña

Re: Upgraded to 1.063, got an error starting

Mon Mar 06, 2017 4:36 pm

What do you mean with also? That version is still 1.06.03.

richfed
Posts: 875
Joined: Tue Nov 21, 2006 9:50 pm
Location: Marion, North Carolina, USA
Contact: Website

Re: Upgraded to 1.063, got an error starting

Mon Mar 06, 2017 10:41 pm

Try changing the compatibility settings for cw2.exe to Windows 8 [also, Run as Administrator] --- that seemed to help on my system, though it still crashes on load occasionally.

I think it has something to do with that Textures setting not staying put. If you are on the System Settings page and change Textures slider up to anything other than the lowest setting - and then change another setting on that page, it will revert to lowest setting right before your eyes. At least it does on my game. :(

User avatar
Captain_Orso
Posts: 5381
Joined: Tue Sep 01, 2009 5:02 pm
Location: Stuttgart, Germany

Re: Upgraded to 1.063, got an error starting

Tue Mar 07, 2017 9:07 am

The settings -> system menu it buggy. If you want to really know if your settings are being actuated, you need to look into the General.opt file in the Settings folder.

Memory Usage: MemUsage # [10, 25, 50, 75] Depends on total RAM your system has, and how much free memory you have before starting the game.

Textures Initialized.: TexAtStart # [0, 1] Try 0 if your graphics card has less than 1GB graphics memory

Max Texture Size: TextureLevel # [0, 1, 2, 3] If you are at a higher level, try setting lower. !!- If you change this, you must restart the game -!!

.....: UseTexOnly # Not in Settings -> System. I'm not sure what this does.


Edit:
BTW, my system is running Windows 10 Pro 64-bit.
I have 16GB RAM.
I have an AMD R9-295X graphics card, which has 2 GPU's on a single board, which can be both used simultaneously through CrossFire. Using CrossFire is a configuration setting on a per game basis. I don't use CrossFire with AGEod games.
The 295X has 8GB GDDR5, but it's split evenly between the GPU's, so nearly always I'm only using 4GB.

My user account has administrator privileges.
My C: drive is a Sandisk Extreme Pro 480GB 2.5" Solid State Drive.
All my AGEod installation are in C:\sbin\{installation name}.
I created the C:\sbin folder manually before ran any installations, so it belongs to my user account.
I haven't change any of the property settings on any of the exe files, so I'm not running CW2 with Properties -> Compatibility - Settings -> Run this program as an administrator, nor any Compatibility mode settings.


I never have any of these issues when starting an AGEod game.

Return to “CW2 Technical support / Aide technique”

Who is online

Users browsing this forum: No registered users and 2 guests